[ruby-cvs:66983] usa:r59805 (ruby_2_2): * lib/rubygems: fix several vulnerabilities in RubyGems; bump to version

usa at ruby-lang.org usa at ruby-lang.org
Sun Sep 10 10:10:24 JST 2017


usa	2017-09-10 10:10:24 +0900 (Sun, 10 Sep 2017)

  New Revision: 59805

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=59805

  Log:
    * lib/rubygems: fix several vulnerabilities in RubyGems; bump to version
      2.4.5.3. [Backport #13842]

  Modified files:
    branches/ruby_2_2/ChangeLog
    branches/ruby_2_2/lib/rubygems/commands/query_command.rb
    branches/ruby_2_2/lib/rubygems/installer.rb
    branches/ruby_2_2/lib/rubygems/remote_fetcher.rb
    branches/ruby_2_2/lib/rubygems/specification.rb
    branches/ruby_2_2/lib/rubygems/text.rb
    branches/ruby_2_2/lib/rubygems.rb
    branches/ruby_2_2/test/rubygems/test_gem_commands_query_command.rb
    branches/ruby_2_2/test/rubygems/test_gem_installer.rb
    branches/ruby_2_2/test/rubygems/test_gem_remote_fetcher.rb
    branches/ruby_2_2/test/rubygems/test_gem_specification.rb
    branches/ruby_2_2/test/rubygems/test_gem_text.rb
    branches/ruby_2_2/version.h


More information about the ruby-cvs mailing list